import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  commissionBatchId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  collectionAmount: SortOrderSchema.optional()
}).strict();
export const CommissionBatchItemMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemMaxOrderByAggregateInput>;
export const CommissionBatchItemMaxOrderByAggregateInputObjectZodSchema = makeSchema();
